Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.rds.model
Class CreateDBParameterGroupRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.rds.model.CreateDBParameterGroupRequest

    public class CreateDBParameterGroupRequest

extends AmazonWebServiceRequest

Container for the parameters to the `CreateDBParameterGroup operation`.

This API creates a new database parameter group.

See Also:
  `AmazonRDS.createDBParameterGroup(CreateDBParameterGroupRequest)`

Constructor Summary
`CreateDBParameterGroupRequest()`

Method Summary
`String` | `getDBParameterGroupName()` The name of the DB Parameter Group.
`String` | `getDescription()` The description for the DB Parameter Group.
`String` | `getEngine()` The name of the database engine the DB Parameter Group can be used with.
`void` | `setDBParameterGroupName(String dBParameterGroupName)` The name of the DB Parameter Group.
`void` | `setDescription(String description)` The description for the DB Parameter Group.
`void` | `setEngine(String engine)` The name of the database engine the DB Parameter Group can be used with.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateDBParameterGroupRequest` | `withDBParameterGroupName(String dBParameterGroupName)` The name of the DB Parameter Group.
`CreateDBParameterGroupRequest` | `withDescription(String description)` The description for the DB Parameter Group.
`CreateDBParameterGroupRequest` | `withEngine(String engine)` The name of the database engine the DB Parameter Group can be used with.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CreateDBParameterGroupRequest

    public CreateDBParameterGroupRequest()

Method Detail

### getDBParameterGroupName

    public String getDBParameterGroupName()

  The name of the DB Parameter Group.

  Returns:
    The name of the DB Parameter Group.

### setDBParameterGroupName

    public void setDBParameterGroupName(String dBParameterGroupName)

  The name of the DB Parameter Group.

  Parameters:
    `dBParameterGroupName` - The name of the DB Parameter Group.

### withDBParameterGroupName

    public CreateDBParameterGroupRequest withDBParameterGroupName(String dBParameterGroupName)

  The name of the DB Parameter Group.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dBParameterGroupName` - The name of the DB Parameter Group.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getEngine

    public String getEngine()

  The name of the database engine the DB Parameter Group can be used with.

  Returns:
    The name of the database engine the DB Parameter Group can be used with.

### setEngine

    public void setEngine(String engine)

  The name of the database engine the DB Parameter Group can be used with.

  Parameters:
    `engine` - The name of the database engine the DB Parameter Group can be used with.

### withEngine

    public CreateDBParameterGroupRequest withEngine(String engine)

  The name of the database engine the DB Parameter Group can be used with.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `engine` - The name of the database engine the DB Parameter Group can be used with.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDescription

    public String getDescription()

  The description for the DB Parameter Group.

  Returns:
    The description for the DB Parameter Group.

### setDescription

    public void setDescription(String description)

  The description for the DB Parameter Group.

  Parameters:
    `description` - The description for the DB Parameter Group.

### withDescription

    public CreateDBParameterGroupRequest withDescription(String description)

  The description for the DB Parameter Group.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `description` - The description for the DB Parameter Group.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.